Subject: Maria is online now, waiting for your reply, Russian dating

From: [email-masked]
Date: Thu, 18 Feb 2010 19:41:33 -0300

A year ago you came to Russia, I remember you, write me! Please Visit Us